Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.BZip2.BZip2Exception Class Reference

BZip2Exception represents exceptions specific to Bzip2 algorithm. More...

Inheritance diagram for ICSharpCode.SharpZipLib.BZip2.BZip2Exception:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.BZip2.BZip2Exception:
[legend]

## Public Member Functions
| BZip2Exception ()
| Initialise a new instance of BZip2Exception.
| BZip2Exception (string message)
| Initialise a new instance of BZip2Exception with its message set to message.
| BZip2Exception (string message, Exception exception)
| Initialise an instance of BZip2Exception.
Public Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException ()
| Initializes a new instance of the SharpZipBaseException class.
| SharpZipBaseException (string message)
| Initializes a new instance of the SharpZipBaseException class with a specified error message.
| SharpZipBaseException (string message, Exception innerException)
| Initializes a new instance of the SharpZipBaseException class with a specified error message and a reference to the inner exception that is the cause of this exception.

## Protected Member Functions
| BZip2Exception (SerializationInfo info, StreamingContext context)
| Deserialization constructor.
Protected Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.

## Detailed Description

BZip2Exception represents exceptions specific to Bzip2 algorithm.

## Constructor & Destructor Documentation

## ◆ BZip2Exception() [1/4]

ICSharpCode.SharpZipLib.BZip2.BZip2Exception.BZip2Exception | ( | SerializationInfo | info,
|  | StreamingContext | context )
| protected

Deserialization constructor.

Parameters

  info | SerializationInfo for this constructor
  context | StreamingContext for this constructor

## ◆ BZip2Exception() [2/4]

ICSharpCode.SharpZipLib.BZip2.BZip2Exception.BZip2Exception | ( |  | ) |

Initialise a new instance of BZip2Exception.

## ◆ BZip2Exception() [3/4]

ICSharpCode.SharpZipLib.BZip2.BZip2Exception.BZip2Exception | ( | string | message | ) |

Initialise a new instance of BZip2Exception with its message set to message.

Parameters

  message | The message describing the error.

## ◆ BZip2Exception() [4/4]

ICSharpCode.SharpZipLib.BZip2.BZip2Exception.BZip2Exception | ( | string | message,
|  | Exception | exception )

Initialise an instance of BZip2Exception.

Parameters

  message | A message describing the error.
  exception | The exception that is the cause of the current exception.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/BZip2/BZip2Exception.cs